Subject: bug#38494: 25.2.2 gpg error upon listing packages; auctex not located in repos

From: Stuart Little <[email-masked]>
Date: Wed, 4 Dec 2019 16:01:03 -0500

I'm running Ubuntu 18.04.3 LTS, with that distro's standard emacs distribution, 25.2.2.

Problem: running

M-x package-list-packages

results in a gpg error:

--- cut here ---

Failed to verify signature archive-contents.sig:
No public key for 066DAFCB81E42C40 created at 2019-12-02T18:00:02-0500 using RSA
Command output:
gpg: Signature made Mon 02 Dec 2019 06:00:02 PM EST
gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: Can't check signature: No public key

--- done ---

I believe this might be the reason why the package listing then fails to display auctex. I can find other, auctex-related packages, e.g.

auctex-latexmk     20170618.1636 incompat   melpa      Add LatexMk support to AUCTeX

They are nevertheless marked 'incompat' and clicking one (the one above for instance) results in a notification as below:

--- cut here ---

Status: Incompatible because it depends on uninstallable packages.
    Archive: melpa

    Version: 20170618.1636
    Summary: Add LatexMk support to AUCTeX
   Requires: auctex-11.87 (not available)
   Homepage: https://github.com/tom-tan/auctex-latexmk/
   Keywords: [tex]

--- done ---

My package repo section in .emacs reads

--- cut here ---

;; emacs package repositories
(require 'package)
(setq package-archives '(("ELPA" . "http://tromey.com/elpa/") 
                          ("gnu" . "http://elpa.gnu.org/packages/")
                          ;;("marmalade" . "http://marmalade-repo.org/packages/")
                          ("melpa" . "http://melpa.milkbox.net/packages/")))
;; adds repository for org mode
(require 'package)                                                                                    
(add-to-list 'package-archives '("org" . "http://orgmode.org/elpa/") t)
(package-initialize)

--- done ---

On a different system I got around this by compiling the nweest emacs from source[0], but it would be good to figure out what's going on. I've had this happen on other systems running pre-26 emacsen. 

---

References:

[0] https://savannah.gnu.org/git/?group=emacs